
 LinHES - Bug # 305: irexec does not work with serial IR receiver

Status: Closed Priority: Normal
Author: mihanson Category:
Created: 03/23/2009 Assignee: jams
Updated: 12/25/2011 Due date: 12/31/1969
Description: On one of my FE's, I am unable to launch my restartmyth.sh script with the remote via a serial IR receiver from 

[[http://irblaster.info|irblaster.info]].  Seems to be an irexec issue, but a <code>ps ax | grep irexec</code> 
shows that it is running.  The script is simple:
<code>
#!/bin/sh
pkill X
</code> and it works from the commandline.  I use the full path to the script (/usr/local/bin/restartmyth.sh) and 
the full path to irexec (/usr/bin/irexec) in my lircrc.  Both script and irexec are executable by user mythtv.

This same script works perfectly on another FE that uses a usb streamzap receiver.

History
03/23/2009 09:08 pm - footeo
Irexec did not work on my system either.  I had to change /usr/LH/bin/LinHES-run at the bottom from:  /usr/bin/irexec to  /usr/bin/irexec -d & to run 
irexec as a daemon.  I would be interested if that works for you.

03/23/2009 11:00 pm - mihanson
Nope.  Still no go here.

04/02/2009 04:10 pm - jams
Works here with both my serial recievers and several other usb/hauppauge.

12/25/2011 03:06 pm - jams
- Target version changed from 7.2 to 6.00.04
